Skip to main content
PUT
Update an Allocation

Path Parameters

productId
integer
required

The ID of the Product

productAllocationId
integer
required

The ID of the Product Allocation

supplierapi
string
required
Pattern: supplier|apiv1/supplier

Body

application/json

Allocation details to update

startDate
string<date>
required

Start date of this Allocation.

allocationName
string

Name of the Allocation.

defaultQuantity
integer

Default quantity for this Allocation.

endDate
string<date>

End date of this Allocation.

blockoutDays
string

Days of the week when the product is not available.

bookingDetailId
integer

ID for the BookingDetail Object for this allocation.

bookingBuffer
integer

Number of days before booking date to disable reservations.

newProductPricesDetailsIds
string

IDs for the ProductPricesDetails to add to this Allocation.

Response

Returned when successful.